Application: gvSIG desktop - gvSIG bugs #2906
Grid labels are not always aligned
10/17/2014 05:01 AM - Antonio Falciano

Status: Closed % Done: 0%
Assignee: Cesar Martinez Izquierdo

Category: Document layout

Target version: 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90,

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2251 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Creating a map with grid, I've noticed that grid labels are not always aligned.
See the screenshot in attachment.

Associated revisions

Revision 342 - 03/02/2015 07:04 PM - Cesar Martinez Izquierdo

On the grid of the layout (fframegrid), correct the label position so that it never overlaps with the fframeview. Add an anchor option to the dialog to align
the center or the corner of the label. Fixes: #3103, #2906. Correctly restore number format: Fixes #3235

History

#1 - 10/17/2014 05:12 AM - Alvaro Anguix
- Assignee set to Cesar Martinez Izquierdo

#2 - 01/28/2015 12:25 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

#3 - 02/27/2015 08:16 PM - Cesar Martinez lzquierdo
- Status changed from New to In progress

#4 - 03/02/2015 07:11 PM - Cesar Martinez lzquierdo
- Status changed from In progress to Fixed

Now they should always be correctly aligned. Note, however, that the closest corner of the label to the tick point it is used for alignment (no baseline
alignment is used), so now that all the labels should be at the same distance compared to the fframeview.

#5 - 03/05/2015 06:15 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)

#6 - 04/07/2015 12:22 PM - Alvaro Anguix

- Status changed from Fixed to Closed
